## slic3r 1.1.7+dfsg

=== debian/changelog ===
slic3r (1.1.7+dfsg-2) unstable; urgency=medium

  * [42346bd] Fix FTBFS with Perl 5.20: out of memory.
    Thanks to Niko Tyni <ntyni@debian.org> (Closes: #757798)

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 13 Aug 2014 16:39:43 +0800

slic3r (1.1.7+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Alessandro Ranellucci <aar@cpan.org>  Wed, 06 Aug 2014 11:18:02 +0800

slic3r (1.1.6+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 04 Jul 2014 11:48:02 +0800

slic3r (1.1.5+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 27 Jun 2014 15:03:44 +0800

slic3r (1.1.4+dfsg-3) experimental; urgency=medium

  * [986f0cc] Build-dep on xauth
    xauth has been demoted to recomends in xvfb, causing xvfb-run to fail with
    "xauth command not found"

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 18 Jun 2014 02:52:13 +0800

slic3r (1.1.4+dfsg-2) experimental; urgency=medium

  * [e8a0e07] Add missing copyright entries

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 17 Jun 2014 01:27:26 +0800

slic3r (1.1.4+dfsg-1) experimental; urgency=low

  * New upstream release.
  * [b8ab785] Drop Bugfix-crash-when-skirt-was-contained-in-brim-area.-.patch.
    Applied upstream.
  * [28c2659] Exclude xs/src/boost.
    Bundled copy of boost.
  * [334f90f] Use dfsg as upstream-branch in gbp.conf
  * [fae4695] Build-dep on libboost-all-dev
  * [d59a033] Add dversionmangle to watch
  * [b960849] Add manpages
  * [6c06860] Add extra recommends
    - libpdf-api2-perl
    - libio-all-perl
    - libsvg-perl
  * [b41cf18] Fix manpage-has-useless-whatis-entry in slic3r.1

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 16 Jun 2014 09:28:22 +0800

slic3r (1.1.3-1) experimental; urgency=low

  * New upstream release.
  * [7c536c4] Add desktop file
  * [fdb45b4] Add icon symlinks
  * [a047706] Drop xbase-clients build-dep.
    It's obsolete, superseded by a bunch of split packages.
  * [ca9f1cf] Bump Standards-Version to 3.9.5 (no changes required)
  * [f6da5ba] Add watch file
  * [b1ca504] Recommend libwx-glcanvas-perl.
    Required for the viewing/cutting functionality.
  * [71ca248] Add myself to copyright
  * [b297382] Set package team maintained and add myself to Uploaders
  * [fb7249d] Refresh patches and cherry-pick bugfix for skirt-in-brim crash

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 27 May 2014 10:38:19 +0800

slic3r (0.9.11~dev.git20131027.ff25cc9-1) UNRELEASED; urgency=low

  * Initial Release. (Closes: #689636)

 -- Nicolas Dandrimont <olasd@debian.org>  Mon, 28 Oct 2013 09:20:09 +0100
