=== debian/control ===
Source: slic3r
Section: perl
Priority: optional
Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>,
           Chow Loong Jin <hyperair@debian.org>
Build-Depends: debhelper (>= 9.20120312),
               help2man,
               libboost-all-dev,
               libboost-geometry-utils-perl,
               libclass-xsaccessor-perl,
               libencode-locale-perl,
               libextutils-parsexs-perl (>= 3.180004),
               libextutils-typemaps-default-perl,
               libfile-spec-perl,
               libio-stringy-perl,
               libmath-convexhull-monotonechain-perl,
               libmath-geometry-voronoi-perl,
               libmath-planepath-perl,
               libmodule-build-withxspp-perl,
               libmoo-perl,
               libopengl-perl,
               libstorable-perl,
               libtime-hires-perl,
               libwx-perl,
               libxml-sax-expatxs-perl,
               perl,
               xfonts-base,
               xvfb,
               xauth
Standards-Version: 3.9.5
Homepage: http://slic3r.org/

Package: slic3r
Architecture: any
Depends: libboost-geometry-utils-perl,
         libencode-locale-perl,
         libfile-spec-perl,
         libio-stringy-perl,
         libmath-convexhull-monotonechain-perl,
         libmath-geometry-voronoi-perl,
         libmath-planepath-perl,
         libmoo-perl,
         libstorable-perl,
         libtime-hires-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: libclass-xsaccessor-perl,
            libopengl-perl,
            libwx-perl,
            libwx-glcanvas-perl,
            libxml-sax-expatxs-perl,
            libpdf-api2-perl,
            libio-all-perl,
            libsvg-perl
Description: G-code generator for 3D printers
 Slic3r converts digital 3D models into printing instructions (G-code)
 for your 3D printer. It cuts the model into horizontal slices (layers),
 generates toolpaths to fill them and calculates the amount of material
 to be extruded.
 .
 Slic3r supports input in the STL, AMF and OBJ formats, and can output
 G-code for several series of 3D printers, including RepRap, Ultimaker,
 Makerbot, as well as SVG files for DLP printers.
 .
 It can be used with a graphical interface, or in batch mode via the
 command-line.
