=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/slic3r-$1.tar.gz/,dversionmangle=s/\+dfsg\d*//" \
  https://github.com/alexrj/Slic3r/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
