## slic3r 1.2.9+dfsg

=== debian/changelog ===
slic3r (1.2.9+dfsg-9) unstable; urgency=medium

  * [1ae29f4] Patch "use lib" line in all installed binaries (Closes: #886125)

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 05 Jan 2018 17:30:58 +0800

slic3r (1.2.9+dfsg-8) unstable; urgency=medium

  * [c1b29a0] Acknowledge NMU (Closes: #869360)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 09 Oct 2017 23:00:52 +0800

slic3r (1.2.9+dfsg-7) unstable; urgency=medium

  * [e77c05d] Fill up slic3r.desktop so that it can be used to open stl files
  * [9438384] Import patches to fix bugs.
     - Workaround missing GL_MULTISAMPLE macro (Closes: #872273)
     - Fix importing binary STLs on big-endian architectures
  * [99cbb39] Bump Standards-Version

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 03 Oct 2017 01:52:16 +0800

slic3r (1.2.9+dfsg-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "missing dependency on perlapi-*":
    add override_dh_perl in debian/rules to make dh_perl search for perl
    modules in the private directory as well.
    (Closes: #869360)

 -- gregor herrmann <gregoa@debian.org>  Sun, 06 Aug 2017 13:27:56 -0400

slic3r (1.2.9+dfsg-6) unstable; urgency=medium

  * [9db9b59] Shift perl modules into private directories.
    This is preparation for co-installation with slic3r-prusa.
  * [888531e] Patch slic3r bin script to look in private dirs

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 03 Nov 2016 10:23:40 +0800

slic3r (1.2.9+dfsg-5) unstable; urgency=medium

  * Fix spelling errors.

 -- Rock Storm <rockstorm@gmx.com>  Sat, 17 Sep 2016 11:30:43 +0200

slic3r (1.2.9+dfsg-4) unstable; urgency=medium

  * Team upload.
  * [9adee80] Fix incompatible change in Boost 1.60
  * [cc330e0] Adapt to GCC 6. (Closes: #811700)
  * [511ee63] Upgrade to Standards-Version 3.9.8

 -- Rock Storm <rockstorm@gmx.com>  Fri, 16 Sep 2016 19:58:53 +0200

slic3r (1.2.9+dfsg-3) unstable; urgency=medium

  * [4a55dd0] Update perl dependencies
  * [9875610] Parallelize builds when possible
  * [a67cede] No-change bump of Standards-Version to 3.9.7

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 06 Mar 2016 15:20:07 +0800

slic3r (1.2.9+dfsg-2) unstable; urgency=low

  * Reupload to unstable. Turns out this is marked as a stable release.

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 24 Jun 2015 11:46:48 +0800

slic3r (1.2.9+dfsg-1) experimental; urgency=low

  * New upstream release
  * [43da535] Refresh patch
  * [90319c2] Downgrade Encode::Locale requirement.
    1.05 isn't in Debian yet.

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 17 Jun 2015 21:35:20 +0800

slic3r (1.2.8+dfsg-1) experimental; urgency=medium

  * New upstream release
  * [d2cb5e0] Set repacksuffix=+dfsg in d/watch

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 10 Jun 2015 15:36:18 +0800

slic3r (1.2.7+dfsg-1) experimental; urgency=low

  * New upstream release
  * [b6ad0f7] Refresh patches
  * [cf99583] Specify bar dependency for libextutils-parsexs-perl

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 25 May 2015 10:00:36 +0800

slic3r (1.2.6+dfsg-1) experimental; urgency=low

  * New upstream release

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 02 Feb 2015 02:33:22 +0800

slic3r (1.2.5+dfsg-1) experimental; urgency=low

  * New upstream release
  * [e980183] Update slic3r.1 manpage

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 14 Jan 2015 12:08:10 +0800

slic3r (1.2.4+dfsg-1) experimental; urgency=medium

  * New upstream release
  * [48f2cb3] No-change Standards-Version bump to 3.9.6
  * [d61ee48] Refresh patches
  * [5745ae1] Add wireframe.1 manpage

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 31 Dec 2014 09:02:57 +0800

slic3r (1.2.1+dfsg-1) experimental; urgency=low

  * New upstream release

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 10 Nov 2014 01:45:10 +0800

slic3r (1.2.0+dfsg-1) experimental; urgency=medium

  * New upstream release
  * [51f1225] Refresh patches
  * [2dec8f3] Update slic3r.1 manpage
  * [18ac2c4] Add new manpages for new /usr/bin/ utilities

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 08 Aug 2014 22:13:09 +0800
