=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                libboost-geometry-utils-perl,
                libclass-xsaccessor-perl,
                libencode-locale-perl,
-               libextutils-parsexs-perl (>= 3.180004),
+               perl (>= 5.19.1) | libextutils-parsexs-perl (>= 3.180004),
                libextutils-typemaps-default-perl,
-               libfile-spec-perl,
+               perl,
                libio-stringy-perl,
                libmath-convexhull-monotonechain-perl,
                libmath-geometry-voronoi-perl,
@@ -24,18 +24,18 @@
                libtime-hires-perl,
                libwx-perl,
                libxml-sax-expatxs-perl,
-               perl,
                xfonts-base,
                xvfb,
                xauth
-Standards-Version: 3.9.5
+Standards-Version: 4.1.0
 Homepage: http://slic3r.org/
+Vcs-Git: https://anonscm.debian.org/git/3dprinter/packages/slic3r.git
+Vcs-Browser: https://anonscm.debian.org/git/3dprinter/packages/slic3r.git
 
 Package: slic3r
 Architecture: any
 Depends: libboost-geometry-utils-perl,
          libencode-locale-perl,
-         libfile-spec-perl,
          libio-stringy-perl,
          libmath-convexhull-monotonechain-perl,
          libmath-geometry-voronoi-perl,
