=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,20 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/default.mk
+
 export SLIC3R_NO_AUTO=yes
+
+build_args = \
+	--install_path arch=/usr/lib/slic3r/
 
 %:
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -Dxs
+	dh_auto_configure -Dxs -- $(build_args)
 
 override_dh_auto_build:
-	xvfb-run -a dh_auto_build -Dxs
+	xvfb-run -a dh_auto_build -Dxs --parallel -- $(build_args)
 
 override_dh_auto_clean:
 	dh_auto_clean -Dxs
@@ -22,11 +27,11 @@
 endif
 
 override_dh_auto_install:
-	dh_auto_install -Dxs
+	dh_auto_install -Dxs -- $(build_args)
 
 	# Install Slic3r Perl module
-	mkdir -p $(CURDIR)/debian/slic3r/usr/share/perl5
-	cp -r lib/* $(CURDIR)/debian/slic3r/usr/share/perl5
+	mkdir -p $(CURDIR)/debian/slic3r/usr/lib/slic3r
+	cp -r lib/* $(CURDIR)/debian/slic3r/usr/lib/slic3r
 
 	# Install Slic3r in PATH
 	mkdir -p $(CURDIR)/debian/slic3r/usr/bin
@@ -50,3 +55,7 @@
 	# Install example post-processing scripts
 	mkdir -p $(CURDIR)/debian/slic3r/usr/share/doc/slic3r/examples
 	cp -r utils/post-processing $(CURDIR)/debian/slic3r/usr/share/doc/slic3r/examples
+
+override_dh_perl:
+	# make dh_perl search for perl modules in the private directory as well
+	dh_perl /usr/lib/slic3r
