## slic3r 1.3.0+dfsg1

=== debian/changelog ===
slic3r (1.3.0+dfsg1-6) unstable; urgency=medium

  * [a499dcc] Acknowledge NMU
  * [bb9d230] Patch to fix FTBFS with boost 1.88.
    Thanks to Gregor Riepl <onitake@gmail.com> (Closes: #1110676)
  * [cadd725] Drop libleatherman-dev build-dep
  * [c8a5b78] d/copyright: Drop FSF address
  * [fcc7a19] d/watch: Update to version 4
  * [1e0fdd6] d/control: Bump Standards-Version to 4.7.2
  * [61689bc] Bump dh compat to 13

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 14 Oct 2025 17:20:38 +0800

slic3r (1.3.0+dfsg1-5.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Zixing Liu ]
  * Apply backported patch by Jonathan Wakely <jwakely@fedoraproject.org>
    to fix FTBFS with GCC-14. (Closes: #1081104)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 20 Nov 2024 21:21:38 +0100

slic3r (1.3.0+dfsg1-5) unstable; urgency=medium

  * [d1f6f28] Link against boost-nowide.
    Thanks to Bernhard Übelacker <bernhardu@mailbox.org> (Closes: #985473)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 26 Apr 2021 01:46:44 +0800

slic3r (1.3.0+dfsg1-4) unstable; urgency=medium

  * [19f56c2] Reexport patches with gbp-pq
  * [e0b0e82] Fix CVE-2020-28591 (Closes: #985620)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 23 Mar 2021 00:53:36 +0800

slic3r (1.3.0+dfsg1-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * [6175a8d] Add d/salsa-ci.yml
  * [e4c2e26] Fix compilation against boost_1.74. (Closes: #977449)

 -- Anton Gladky <gladk@debian.org>  Tue, 15 Dec 2020 22:27:51 +0100

slic3r (1.3.0+dfsg1-3.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Giovanni Mascellani ]
  * Fix FTBFS with Boost 1.71. (Closes: #958156)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 09 Jun 2020 00:34:00 +0200

slic3r (1.3.0+dfsg1-3) unstable; urgency=medium

  * [b61cf9b] Import patch to fix admesh compilation bug (Closes: #907346)

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 08 Nov 2018 19:19:10 +0800

slic3r (1.3.0+dfsg1-2) unstable; urgency=medium

  * [b128e8f] Update Add-usr-lib-slic3r-to-lib-search-path.patch for new scripts
  * [a6a82a1] Fix executable .ico and .icns files
  * [6d723f8] Update Vcs-* addresses for salsa port
  * [337205f] Drop local::lib usage from util scripts

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 28 May 2018 02:27:21 +0800

slic3r (1.3.0+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * [75ac14d] Update patches and drop upstreamed ones
  * [7052816] Add patch to use system expat
  * [b1cb899] Fix Move-Slic3r-data-to-usr-share-slic3r.patch
    $var is supposed to be a sub reference, not a string.

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 26 May 2018 21:07:21 +0800
