=== debian/control ===
--- 
+++ 
@@ -4,16 +4,18 @@
 Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
 Uploaders: Nicolas Dandrimont <olasd@debian.org>,
            Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper (>= 9.20120312),
+Build-Depends: debhelper-compat (= 13),
                help2man,
                libboost-all-dev,
                libboost-geometry-utils-perl,
                libclass-xsaccessor-perl,
+               libdevel-checklib-perl,
                libencode-locale-perl,
                perl (>= 5.19.1) | libextutils-parsexs-perl (>= 3.180004),
                libextutils-typemaps-default-perl,
                perl,
                libio-stringy-perl,
+               liblocal-lib-perl,
                libmath-convexhull-monotonechain-perl,
                libmath-geometry-voronoi-perl,
                libmath-planepath-perl,
@@ -27,10 +29,10 @@
                xfonts-base,
                xvfb,
                xauth
-Standards-Version: 4.1.0
+Standards-Version: 4.7.2
 Homepage: http://slic3r.org/
-Vcs-Git: https://anonscm.debian.org/git/3dprinter/packages/slic3r.git
-Vcs-Browser: https://anonscm.debian.org/git/3dprinter/packages/slic3r.git
+Vcs-Browser: https://salsa.debian.org/3dprinting-team/slic3r.git
+Vcs-Git: https://salsa.debian.org/3dprinting-team/slic3r
 
 Package: slic3r
 Architecture: any
