=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	# Install Slic3r resources in /usr/share/slic3r
 	mkdir -p $(CURDIR)/debian/slic3r/usr/share
 	cp -r var $(CURDIR)/debian/slic3r/usr/share/slic3r
-	chmod 644 $(CURDIR)/debian/slic3r/usr/share/slic3r/*.png
+	cd $(CURDIR)/debian/slic3r/usr/share/slic3r/ && chmod 0644 *.png *.ico *.icns
 
 	# Install zsh completion
 	mkdir -p $(CURDIR)/debian/slic3r/usr/share/zsh/vendor-completions
