=== debian/watch ===
version=4

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/slic3r-$1.tar.gz/,dversionmangle=s/\+dfsg\d*//,repacksuffix=+dfsg" \
  https://github.com/alexrj/Slic3r/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
